<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

if($_POST['inventario']) {
	
	$_SESSION['inventario']=substr($_POST['inventario'],5,8);
	$_SESSION['inventarioEjercicio']=substr($_POST['inventario'],0,4);
}

if($_SESSION['inventario'] && $_SESSION['inventarioEjercicio']) {


	function campoGuion($valor) {
		if($valor=='0000-00-00') return "-";
		else if($valor=='') return "-";
		else return $valor;
	}

	if($_POST['enviarInventario']) {
	
		$consulta="
			SELECT *
			FROM ".$mysqlPrefix."Inventarios
			WHERE Inventario=?
			AND Ejercicio=?
			AND Usuario=?
			AND (isnull(Enviado) OR Enviado='0000-00-00 00:00')
			ORDER BY Id DESC
			";
		
		$temp=$conexionBdd->prepare($consulta);
		$temp->execute(array($_SESSION['inventario'],$_SESSION['inventarioEjercicio'],$_SESSION['usuario']['Usuario']));
		
		/*
		$archivo ="*PXListasInventarioTablet".PHP_EOL;
		$archivo.="Empresa=".$_SESSION['empresa'].PHP_EOL;
		$archivo.="Ejercicio=".$_SESSION['inventarioEjercicio'].PHP_EOL;
		$archivo.="FechaListado=".$_SESSION['inventario'].PHP_EOL;
		$archivo.="Estado=Pendiente".PHP_EOL;
		$archivo.="Activaparatablet=S".PHP_EOL;
		*/
		
		foreach($temp as $item) {
		
			$archivo.="*PXListasInventarioTabletLin".PHP_EOL;
			$archivo.="Empresa=".$_SESSION['empresa'].PHP_EOL;
			$archivo.="Ejercicio=".$_SESSION['inventarioEjercicio'].PHP_EOL;
			$archivo.="FechaListado=".$_SESSION['inventario'].PHP_EOL;
			$archivo.="Codigo=".$item['Codigo'].PHP_EOL;
			$archivo.="Ver=0".PHP_EOL;
			$archivo.="Per=0".PHP_EOL;
			$archivo.="TipoPropietario=PROPIO".PHP_EOL;
			$archivo.="Propietario=".$_SESSION['empresa'].PHP_EOL;
			$archivo.="Almacen=".$item['Almacen'].PHP_EOL;
			$archivo.="Regimen=GRAL".PHP_EOL;
			$archivo.="Ubicacion=".$item['Ubicacion'].PHP_EOL;
			$archivo.="Contenedor=".campoGuion($item['Contenedor']).PHP_EOL;
			$archivo.="Lote=".campoGuion($item['Lote']).PHP_EOL;
			$archivo.="FechaCaducidad=".campoGuion(fechaParaProxium($item['FechaCaducidad'])).PHP_EOL;
			$archivo.="Precinta=-".PHP_EOL;
			$archivo.="Estado=".$item['Estado'].PHP_EOL;
			$archivo.="NumeroSerie=".campoGuion($item['NumeroSerie']).PHP_EOL;
			$archivo.="TipoEntrada=-".PHP_EOL;
			$archivo.="NumeroEntrada=-".PHP_EOL;
			$archivo.="LineaEntrada=-".PHP_EOL;
			$archivo.="IndiceLectura=".PHP_EOL;
			$archivo.="Inventario=".$item['Cantidad'].PHP_EOL;
			$archivo.="Volcado=".PHP_EOL;
			$archivo.="NuevoInv=".PHP_EOL;
			$archivo.="Leido=N".PHP_EOL;
			$archivo.="Nuevo=N".PHP_EOL;
			$archivo.="Usuario=".$_SESSION['usuario']['Usuario'].PHP_EOL;
			$archivo.="FechaLectura=".date('Ymd',strtotime($item['FechaHora'])).PHP_EOL;
			$archivo.="HoraLectura=".date('H:i',strtotime($item['FechaHora'])).PHP_EOL;
			
			$archivo.='*FIN'.PHP_EOL;
		
		}
		
		//echo "<p style='text-align:left;margin-left:50px'>".nl2br($archivo)."</p>";
		
		$resultado=EnviarDatos($wsUsuario,$wsClave,base64_encode(utf8_decode($archivo)));
	
		//echo "<p>RESULTADO OBTENIDO</p>";
		//echo($resultado['EnviarDatosResult']);
		
		if($resultado['EnviarDatosResult']=='1#OK') {
		
			$consulta="
				UPDATE ".$mysqlPrefix."Inventarios
				SET Enviado=now()
				WHERE Inventario=?
				AND Ejercicio=?
				AND Usuario=?
			";
		
			$temp=$conexionBdd->prepare($consulta);
			$temp->execute(array($_SESSION['inventario'],$_SESSION['inventarioEjercicio'],$_SESSION['usuario']['Usuario']));
			
			?>
			<script>
				alert("Inventario enviado correctamente.")
				.done( function(){
					$("#codigo").focus();
				});
            </script>
			<?php
			
		}
		else {
			$valores=explode('#',$resultado['EnviarDatosResult']);
			?><script>alert('ERROR<br><br><?php echo $valores[1]; ?>');</script><?php
		}
	
	}


	?>
	<h2>Inventario <?php echo fechaNacional($_SESSION['inventario']); ?> (Ejercicio <?php echo $_SESSION['inventarioEjercicio']; ?>)</h2>
	
	<div id="popupBusqueda" class="popup" style="display:none;overflow:scroll">
        <div class="popupContenidoScroll">
            <div id="detalleBusqueda"></div>
        </div>
    </div>
    
   <form id="formularioUbicacion" name="formularioUbicacion" method="post" action="">
        
        <p>Ubicación:<br />
        <img src="img/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoUbicacion" /><input name="ubicacion" type="text" class="campo mayusculas" id="ubicacion" size="14" maxlength="14" autocomplete="off"/>
        <img src="img/x.png" alt="Borrar" class="boton-x" id="borrarUbicacion" style="margin-left:-60px;"/></p>
        
	</form>
        
	<form id="formularioCodigo" name="formularioCodigo" method="post" action="" <?php if($_GET['producto']) { ?>style="display:none"<?php } ?>>
        
        <p>Código EAN/DUN:<br />
        <img src="img/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoCodigo" /><input name="codigo" type="text" class="campo mayusculas" id="codigo" size="14" maxlength="14" style="width:350px" autocomplete="off"/>
        <img id="botonBuscar" src="img/buscar.png" style="width:40px;margin-left:-40px;padding-top:10px;padding-left:50px;margin-bottom:-5px" class="clicable"/>
        <img src="img/x.png" alt="Borrar" class="boton-x" id="borrarCodigo" style="margin-left:-110px;"/></p>
        
    </form>
    
    <form id="formularioBusqueda" name="formularioBusqueda" method="post" action="" <?php if(!$_GET['producto']) { ?>style="display:none"<?php } ?>>
        <p>Buscar:<br />
        <input name="busqueda" type="text" class="campo mayusculas" id="busqueda" size="20" maxlength="" value="<?php if($_GET['producto']) echo $_GET['producto']; else echo $_POST['busqueda']; ?>" style="width:350px" autocomplete="off"/>
        <img id="botonCodigo" src="img/barcode.png" style="width:40px;margin-left:-40px;padding-top:10px;padding-left:50px;margin-bottom:-5px" class="clicable"/>
        <img src="img/x.png" alt="Borrar" class="boton-x" id="borrarBusqueda" style="margin-left:-110px;"/>
        </p>
    </form>
    
    <div id="popUpProducto" class="popup" style="display:none;overflow:scroll;">
	  <div class="popupContenidoScroll" style="min-width:550px">
       	<h2><span id="articuloCodigo"></span> <span id="articuloDescripcion"></span></h2>
            <div style="width:360px;margin:0 auto;<?php if($_SESSION['gestionPaletizado']=='N') { ?>display:none<?php } ?>">
                <p style="margin:20px 0 5px 0">Contenedor:</p>
                <div style="width:360px;height:53px;position:relative;margin:0;text-align:left">
                <img src="img/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoContenedor" /><input name="contenedor" type="text" class="campo" id="contenedor" size="18" maxlength="11" style="font-size:2em;width:330px;height:43px;position:absolute;left:10px;" autocomplete="off"/>
				<img src="img/x.png" alt="Borrar" id="borrarContenedor" style="position:absolute;right:5px;cursor:pointer;"/>
                </div>
            </div>
            <table style="margin:10px auto">
            	<tr>
                	<td class="verLote" style="display:none">Lote:</td>
                    <td class="verFechaCaducidad" style="display:none">Fecha Caducidad:</td>
                    <td class="verNumeroSerie" style="display:none">Nº de Serie:</td>
                </tr>
                <tr>
                	<td class="verLote" style="display:none"><input name="articuloLote" id="articuloLote" type="text" class="campo mayusculas" /></td>
                    <td class="verFechaCaducidad" style="display:none"><input name="articuloFechaCaducidad" id="articuloFechaCaducidad" type="text" class="campo mayusculas" /></td>
                    <td class="verNumeroSerie" style="display:none"><input name="articuloNumeroSerie" id="articuloNumeroSerie" type="text" class="campo mayusculas" /></td>
                </tr>
            </table>
            <input name="TieneGestionFCaducidad" id="TieneGestionFCaducidad" type="hidden"/>
            <input name="TieneGestionLotes" id="TieneGestionLotes" type="hidden"/>
            <input name="TieneGestionNSerie" id="TieneGestionNSerie" type="hidden"/>
            <input name="tipoCodigo" id="tipoCodigo" type="hidden"/>
            <p><span <?php if(!$informarUnidadesPorCaja) { ?>style="display:none"<?php } ?>>Unidades por caja:</span> <input name="EmbalajePrimarioCaja" id="EmbalajePrimarioCaja" type="<?php if($informarUnidadesPorCaja) { ?>text<?php } else { ?>hidden<?php } ?>" class="campo cantidad" style="width:100px" autocomplete="off"/>
            </p>
            <div style="width:360px;margin:0 auto">
                <p style="margin:20px 0 5px 0">Cantidad (<span id="etiqueta">Unidades</span>)</p>
                <div style="width:360px;height:53px;position:relative;margin:0;text-align:left">
                <img src="img/Cajas.png" alt="Informar en Cajas" class="iconoTeclado" id="iconoUnidades" /><input name="cantidad" type="text" class="campo cantidad" id="cantidad" style="font-size:2em;width:330px;height:43px;position:absolute;left:10px;" autocomplete="off"/><img src="img/x.png" alt="Borrar" id="borrarCantidad" style="position:absolute;right:5px;cursor:pointer;" />
                </div>
            </div>
            <p>Estado: <select name="articuloEstado" id="articuloEstado" class="campo">
            	<?php foreach($_SESSION['estadosProductos'] as $estado) { ?>
                <option value="<?php echo $estado['Estado']; ?>" <?php if($estado['Estado']=='L') { ?>selected<?php } ?>><?php echo $estado['DescripcionEstado']; ?></option>
                <?php } ?>
            </select>
            </p>
            <p><input type="submit" name="articuloCancelar" id="articuloCancelar" value="Cancelar" class="boton reducido"/> <input type="submit" name="articuloAceptar" id="articuloAceptar" value="Aceptar" class="boton"/></p>
      </div>
</div>
	
<div id="listadoInventario"></div>
    
<p style="padding:40px 0 80px 0"><a href="inventario-enviado.php" style="text-decoration:none" class="mostrarCargando"><img src="img/buscar.png" width="30" height="30" border="0" style="margin-bottom:-7px"/> Ver Inventario enviado.</a></p>
    
<script>
	
	function carga( articuloCodigo,articuloDescripcion,embalajePrimarioCaja,tieneGestionFCaducidad,tieneGestionLotes,tieneGestionNSerie,tipoCodigo ) {

		$('#popUpProducto').show();
			
		$('#articuloCodigo').html( articuloCodigo );
		$('#articuloDescripcion').html( articuloDescripcion );
		
		$('#TieneGestionFCaducidad').val( tieneGestionFCaducidad );
		$('#TieneGestionLotes').val( tieneGestionLotes );
		$('#TieneGestionNSerie').val( tieneGestionNSerie );
		
		$('#EmbalajePrimarioCaja').val( embalajePrimarioCaja );
		$('#tipoCodigo').val( tipoCodigo );
		
		<?php if($informarUnidadesPorCaja) { ?>
		
			$('#etiqueta').html('Cajas');
			$('#iconoUnidades').attr('src','img/Unidades.png');
			$('#iconoUnidades').show();
		
		<?php } else { ?>
		
		if(embalajePrimarioCaja>1 && tipoCodigo=='DUN') {
			$('#etiqueta').html('Cajas');
			$('#iconoUnidades').attr('src','img/Unidades.png');
			$('#iconoUnidades').show();
		}
		else {
			$('#etiqueta').html('Unidades');
			$('#iconoUnidades').hide();
		}
		
		<?php } ?>
		
		if(tieneGestionFCaducidad=='S') $('.verFechaCaducidad').show(); else $('.verFechaCaducidad').hide();
		
		if(tieneGestionLotes=='S') {
			$('.verLote').show();
			$('#articuloLote').focus();
		}
		else $('.verLote').hide();
		
		if(tieneGestionNSerie=='S') $('.verNumeroSerie').show(); else $('.verNumeroSerie').hide();
	
	}
	
	function reinicia() {
	
		//Reiniciar todos los campos del popup
		$('#codigo').val('');
		$('#busqueda').val('');
		$('#articuloCodigo').html('');
		$('#articuloDescripcion').html('');
		$('#articuloFechaCaducidad').val('');
		$('#articuloLote').val('');
		$('#articuloNumeroSerie').val('');
		$('#EmbalajePrimarioCaja').val('');
		$('#cantidad').val('');
		
		$('#popUpProducto').hide();
		
		$('#formularioUbicacion').show();
		$('#ubicacion').val('');
		$('#formularioCodigo').show();
		$('#codigo').val('');
		$('#formularioBusqueda').hide();
		$('#busqueda').val('');
		$('#ubicacion').focus();
		
	}
	
	
	$(document).ready(function() {
	
		$("#ubicacion").focus();
		
		$('#formularioUbicacion').on("submit",function(e){
			
			e.preventDefault();
			
			$('#popupCargando').show();
			
			$.post( "<?php echo $rutaHtml; ?>/contenidos/inventario-seleccionar-ubicacion.php", { 'ubicacion' : $('#ubicacion').val()  })
			.done(function(data) {
					
				$('#popupCargando').hide();
				var datos=data.split('#');
					
				if( datos[0]=='Error' ) {
					
					alert(datos[1])
					.done( function(){
							$("#ubicacion").val('');
							$("#ubicacion").focus();
					});
					
				}
				else {
					$('#formularioCodigo').show();
					$('#codigo').val('');
					$('#formularioBusqueda').hide();
					$('#busqueda').val('');
					$('#codigo').focus();
				}
			});
					
		});
		
		<?php $esperarCarga=true; ?>
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/inventario-listado.php", { 'enviar' : true } ).done( function(data) {
			
			$('#listadoInventario').html(data);
			$('#popupCargando').hide();
			
		});

		$('#tecladoCodigo').on("click",function(){
				
			$('#teclado').show();
			$('#valor').val( $('#codigo').val() );
			$('#valorOculto').val( $('#codigo').val() );
			$('#enter').attr('campoValor','codigo');
			$('#enter').attr('formulario','formularioCodigo');
					
		});
				
		$('#borrarCodigo').on("click",function(){
				
			$("#codigo").val('');
			$("#codigo").focus();
					
		});
				
		$('#busqueda').on("click",function(){
					
			$('#teclado').show();
			$('#valor').val( $('#busqueda').val() );
			$('#valorOculto').val( $('#busqueda').val() );
			$('#enter').attr('campoValor','busqueda');
			$('#enter').attr('formulario','formularioBusqueda');
					
		});
				
		$('#borrarBusqueda').on("click",function(){
				
			$("#busqueda").val('');
			$("#busqueda").focus();
					
		});
				
		$('#formularioCodigo').on("submit",function(e){

			e.preventDefault();
					
			if( $('#ubicacion').val()=='' ) {
				alert('Por favor, indica primero la ubicación desde la que haces la lectura.')
				.done( function(){ $('#ubicacion').focus(); });
			}
			else if( $('#codigo').val()!='' ) {
						
				$('#popupCargando').show();
					
				$.post( "<?php echo $rutaHtml; ?>/contenidos/leer-codigo-barras.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { 'codigo' : $('#codigo').val()  } )
				.done(function(data) {
					
					var datos=data.split('#');
							
					if( datos[0] ) {
						carga(datos[0],datos[3],datos[2],datos[4],datos[5],datos[6],datos[1]);
					}
					else {
						alert("ERROR: No se ha encontrado ningún producto relacionado con ese código.");
					}
							
					$('#popupCargando').hide();
			
				});
			}
					
		});
				
		$('#formularioBusqueda').on("submit",function(e){
				
			e.preventDefault();
			
			if( $('#ubicacion').val()=='' ) {
				alert('Por favor, indica primero la ubicación desde la que haces la lectura.')
				.done( function(){ $('#ubicacion').focus(); });
			}
			else if( $('#busqueda').val()!='' ) {
				
				$('#popupCargando').show();
						
				$.post( "<?php echo $rutaHtml; ?>/contenidos/inventario-buscar-producto.php", { 'cadena' : $('#busqueda').val()  })
				.done(function(data) {
				
					$('#popupCargando').hide();
					$('#popupBusqueda').show();
					$('#detalleBusqueda').html(data);
				
				});
				
			}
					
		});
				
		$('#botonBuscar').on("click",function(){
			
			$('#formularioCodigo').hide();
			$('#formularioBusqueda').show();
			$('#busqueda').focus();
					
		});
				
		$('#botonCodigo').on("click",function(){
				
			$('#formularioCodigo').show();
			$('#codigo').focus();
			$('#formularioBusqueda').hide();
					
		});
		
		$('#popupBusqueda').on("click",function(){
			$('#popupBusqueda').hide();
		});
		
		$('#articuloCancelar').on("click",function(e){
			
			reinicia();
			
		});
		
		$('#articuloAceptar').on("click",function(e){
		
			e.preventDefault();
			
			if( $('#TieneGestionFCaducidad').val()=='S' && $('#articuloFechaCaducidad').val()=='' ) {
				alert('Es obligatorio introducir la Fecha de Caducidad.')
				.done( function(){ $('#articuloFechaCaducidad').focus(); });
			}
			else if( $('#TieneGestionLotes').val()=='S' && $('#articuloLote').val()=='' ) {
				alert('Es obligatorio introducir el Lote.')
				.done( function(){ $('#articuloLote').focus(); });
			}
			else if( $('#TieneGestionNSerie').val()=='S' && $('#articuloNumeroSerie').val()=='' ) {
				alert('Es obligatorio introducir el Nº de Serie.')
				.done( function(){ $('#articuloNumeroSerie').focus(); });
			}
			else if( ! $('#cantidad').val() > 0 ) {
				alert('No se ha introducido ninguna cantidad.')
				.done( function(){ $('#cantidad').focus();  });
			}
			
			//21-12-2020 si está en unidades, la cantidad siempre tiene que ser multiplo del embalaje primario
			else if( $('#iconoUnidades').is(':visible') && $('#iconoUnidades').attr('src')=='img/Cajas.png' && $('#cantidad').val() % $('#EmbalajePrimarioCaja').val() != 0 ) { 
				alert('La cantidad no es múltiplo del número de unidades que contiene este embalaje.')
				.done( function(){ $('#cantidad').focus();  });
			}
			else if( $('#iconoUnidades').is(':visible') && $('#iconoUnidades').attr('src')=='img/Unidades.png' && $('#cantidad').val() % 1 != 0 ) {
				alert('Al tratarse de una unidad de embalaje completo, la cantidad debe ser un número entero.')
				.done( function(){ $('#cantidad').focus();  });
			}
			
			else {
				
				$('#popupCargando').show();
				
				var cantidad;
				var informandoCajas='no';
				
				if( $('#iconoUnidades').attr('src')=='img/Unidades.png' && $('#iconoUnidades').is(':visible') ) {
					cantidad=$('#cantidad').val()*$('#EmbalajePrimarioCaja').val();
					informandoCajas='si';
				}
				else cantidad=$('#cantidad').val() //La cantidad está en unidades
				
				$.post( "<?php echo $rutaHtml; ?>/contenidos/inventario-registrar-producto.php", { 'Ubicacion' : $('#ubicacion').val() , 'Codigo' : $('#articuloCodigo').html() , 'Descripcion' : $('#articuloDescripcion').html() , 'EmbalajePrimario' : $('#EmbalajePrimarioCaja').val() , 'Contenedor' : $('#contenedor').val(), 'Lote' : $('#articuloLote').val() , 'NumeroSerie' : $('#articuloNumeroSerie').val() , 'FechaCaducidad' : $('#articuloFechaCaducidad').val() , 'Estado' : $('#articuloEstado').val() , 'Cantidad' : cantidad , 'informandoCajas' : informandoCajas })
				.done(function(data) {
					$.post( "<?php echo $rutaHtml; ?>/contenidos/inventario-listado.php", { 'enviar' : true } ).done( function(data) {
						$('#listadoInventario').html(data);
						$('#popupCargando').hide();
						reinicia();
					});
				});
				
			}
			
		});
		
		$('#iconoUnidades').on("click",function(e){
		
			if( $(this).attr('src')=='img/Cajas.png' ) {
			
				$(this).attr('src','img/Unidades.png');
				$('#etiqueta').html( 'Cajas' );
				
				if( $('#cantidad').val()>0 ) {
					var flotante = parseFloat( $('#cantidad').val() / $('#EmbalajePrimarioCaja').val() );
					var resultado = Math.round(flotante*100)/100;
					if(resultado>0) $('#cantidad').val( resultado );
				}
			
			}
			else {
			
				$(this).attr('src','img/Cajas.png');
				$('#etiqueta').html('Unidades');
				
				if( $('#cantidad').val()>0 ) {
					var resultado = parseInt( $('#cantidad').val() * $('#EmbalajePrimarioCaja').val() );
					if(resultado>0) $('#cantidad').val( resultado );
				}
			
			}
		
		
		});
		
		$('#cantidad').on("click",function(e) {
			$('#calculadora').show();
			$('#valorCalculadora').val( $(this).val() );
			$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
		});
		
		$('#borrarCantidad').on("click",function(e) {
		
			$("#cantidad").val('');
			$("#cantidad").focus();
		
		});
		
		$('#tecladoContenedor').on("click",function(){
				
			$('#teclado').show();
			$('#valor').val( $('#contenedor').val() );
			$('#valorOculto').val( $('#contenedor').val() );
			$('#enter').attr('campoValor','contenedor');
			$('#enter').attr('formulario','');
					
		});
		
		$('#borrarContenedor').on("click",function(e) {
		
			$("#contenedor").val('');
			$("#contenedor").focus();
		
		});
		
		$('#articuloLote').on("click",function(){
				
			$('#teclado').show();
			$('#valor').val( $('#articuloLote').val() );
			$('#valorOculto').val( $('#articuloLote').val() );
			$('#enter').attr('campoValor','articuloLote');
			$('#enter').attr('formulario','');
					
		});
		
		$('#articuloFechaCaducidad').on("click",function(){
				
			$('#teclado').show();
			$('#valor').val( $('#articuloFechaCaducidad').val() );
			$('#valorOculto').val( $('#articuloFechaCaducidad').val() );
			$('#enter').attr('campoValor','articuloFechaCaducidad');
			$('#enter').attr('formulario','');
					
		});
		
		$('#articuloNumeroSerie').on("click",function(){
				
			$('#teclado').show();
			$('#valor').val( $('#articuloNumeroSerie').val() );
			$('#valorOculto').val( $('#articuloNumeroSerie').val() );
			$('#enter').attr('campoValor','articuloNumeroSerie');
			$('#enter').attr('formulario','');
					
		});
		
		$('#tecladoUbicacion').on("click",function(){
				
			$('#teclado').show();
			$('#valor').val( $('#ubicacion').val() );
			$('#valorOculto').val( $('#ubicacion').val() );
			$('#enter').attr('campoValor','ubicacion');
			$('#enter').attr('formulario','formularioUbicacion');
					
		});
		
		$('#EmbalajePrimarioCaja').on("click",function(){
				
			$('#calculadora').show();
			$('#valorCalculadora').val( $(this).val() );
			$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
					
		});

		
		$('#borrarUbicacion').on("click",function(){
				
			$("#ubicacion").val('');
			$("#ubicacion").focus();
					
		});
		
		$('#ubicacionCancelar').on("click",function(e){
			
			e.preventDefault();
			$('#popupUbicacion').hide();
			
		});
		

	});

</script>

<?php
}
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
